petsc-3.12.1 2019-10-22
Report Typos and Errors

# SNESSetNPC

Sets the nonlinear preconditioner to be used.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESSetNPC(SNES snes, SNES pc)

Collective on SNES

### Input Parameters

| snes | - iterative context obtained from SNESCreate()
| pc | - the preconditioner object

### Notes

Use SNESGetNPC() to retrieve the preconditioner context (for example, to configure it using the API).

### See Also

SNESGetNPC(), SNESHasNPC()

### Level

developer

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages